org.jboss.resteasy.plugins.server.servlet

## Class FilterBootstrap

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap
  - - org.jboss.resteasy.plugins.server.servlet.ListenerBootstrap
    - - org.jboss.resteasy.plugins.server.servlet.FilterBootstrap

- All Implemented Interfaces:
    ResteasyConfiguration

      public class FilterBootstrap
      extends ListenerBootstrap

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.servlet.ListenerBootstrap

      `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBootstrap(javax.servlet.FilterConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResteasyDeployment` | `createDeployment()`
    `String` | `getInitParameter(String name)` Only provide parameter from a servlet or filter init param
    `Set<String>` | `getInitParameterNames()`
    `String` | `getParameter(String name)` i.e.
    `Set<String>` | `getParameterNames()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.ListenerBootstrap

      `findWebInfLibClasspaths, getServletContextNames`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.servlet.ConfigurationBootstrap

      `parseMap, processJndiComponentResources, processJndiResources, processResources, processScannedJndiComponentResources, processUnwrapped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterBootstrap

          public FilterBootstrap(javax.servlet.FilterConfig config)

  - ### Method Detail

    - #### createDeployment

          public ResteasyDeployment createDeployment()

      Overrides:
        `createDeployment` in class `ListenerBootstrap`

    - #### getParameter

          public String getParameter(String name)

      Description copied from interface: `ResteasyConfiguration`
      i.e. Servlet init-param first is searched, then servlet context
      Specified by:
        `getParameter` in interface `ResteasyConfiguration`
      Overrides:
        `getParameter` in class `ListenerBootstrap`
      Returns:

    - #### getInitParameter

          public String getInitParameter(String name)

      Description copied from interface: `ResteasyConfiguration`
      Only provide parameter from a servlet or filter init param
      Specified by:
        `getInitParameter` in interface `ResteasyConfiguration`
      Overrides:
        `getInitParameter` in class `ListenerBootstrap`
      Returns:

    - #### getParameterNames

          public Set<String> getParameterNames()

      Specified by:
        `getParameterNames` in interface `ResteasyConfiguration`
      Overrides:
        `getParameterNames` in class `ListenerBootstrap`

    - #### getInitParameterNames

          public Set<String> getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `ResteasyConfiguration`
      Overrides:
        `getInitParameterNames` in class `ListenerBootstrap`

Copyright © 2014. All Rights Reserved.